Package org.eclipse.rdf4j.sail.extensiblestore.evaluationstatistics

## Enum EvaluationStatisticsEnum

- java.lang.Object
- - java.lang.Enum<EvaluationStatisticsEnum>
  - - org.eclipse.rdf4j.sail.extensiblestore.evaluationstatistics.EvaluationStatisticsEnum

- All Implemented Interfaces:
    `Serializable`, `Comparable<EvaluationStatisticsEnum>`

      @Experimental
      public enum EvaluationStatisticsEnum
      extends Enum<EvaluationStatisticsEnum>

  Enum to support multiple different EvaluationStatistics implementations. The user can control which is used by overriding getEvalStats() in the ExtensibleStore.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `constant` |
    `direct` |
    `dynamic` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ExtensibleEvaluationStatistics` | `getInstance​(ExtensibleSailStore extensibleSailStore)` |
    `static EvaluationStatisticsEnum` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static EvaluationStatisticsEnum[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### direct

          public static final EvaluationStatisticsEnum direct

    - #### constant

          public static final EvaluationStatisticsEnum constant

    - #### dynamic

          public static final EvaluationStatisticsEnum dynamic

  - ### Method Detail

    - #### values

          public static EvaluationStatisticsEnum[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EvaluationStatisticsEnum c : EvaluationStatisticsEnum.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EvaluationStatisticsEnum valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getInstance

          public ExtensibleEvaluationStatistics getInstance​(ExtensibleSailStore extensibleSailStore)